Description

The root_pass parameter needs documenting for host groups in the API.

When you create a host group and associate it with an operating system, it is often useful to set the password (root) so that when

you provision a system associated to this host group, you know what password to use when trying to ssh into the system. Currently

one cannot use hammer hostgroup command to do that.

I'd like to request an improvement to hammer hostgroup so that one can set/update the password field. Perhaps something like:

hammer hostgroup update --name=<name of existing host group> --password=<new value>

 or

hammer hostgroup update --id=<id for existing host group> --password=<new value>

 This would be useful for automating provisioning scenarios via hammer.

Related issues:

Copied from Hammer CLI - Feature #11236: Allow hammer hostgroup to set/update... Closed 07/28/2015

Associated revisions

Revision 8caf49db - 08/17/2015 07:15 AM - Shlomi Zadok

fixes #11240 - Add api docs to hostgroup params

History

#1 - 07/29/2015 03:03 AM - Dominic Cleal

- Copied from Feature #11236: Allow hammer hostgroup to set/update the root password field added

#2 - 08/16/2015 08:04 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/hammer-cli-foreman/pull/189 added

- Pull request deleted ()

#3 - 08/17/2015 08:01 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8caf49dbe303f791b8bde3065aae535601d959f0.

#4 - 08/17/2015 08:25 AM - Dominic Cleal
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/8caf49dbe303f791b8bde3065aae535601d959f0


- Assignee set to Shlomi Zadok

- translation missing: en.field_release set to 63

#5 - 08/18/2015 07:31 AM - Tomáš Strachota

- Pull request https://github.com/theforeman/foreman/pull/2608 added

- Pull request deleted (https://github.com/theforeman/hammer-cli-foreman/pull/189)

Changing the PR to the correct one. There was a link to a hammer PR by mistake.

Powered by TCPDF (www.tcpdf.org)

05/10/2024 2/2

http://www.tcpdf.org

